- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

SSL_CTX_get_verify_mode, SSL_get_verify_mode, SSL_CTX_get_verify_depth, SSL_get_verify_depth, SSL_get_verify_callback, SSL_CTX_get_verify_callback - get currently set verification parameters

# SYNOPSIS

    #include <openssl/ssl.h>

    int SSL_CTX_get_verify_mode(const SSL_CTX *ctx);
    int SSL_get_verify_mode(const SSL *ssl);
    int SSL_CTX_get_verify_depth(const SSL_CTX *ctx);
    int SSL_get_verify_depth(const SSL *ssl);
    int (*SSL_CTX_get_verify_callback(const SSL_CTX *ctx))(int, X509_STORE_CTX *);
    int (*SSL_get_verify_callback(const SSL *ssl))(int, X509_STORE_CTX *);

# DESCRIPTION

SSL_CTX_get_verify_mode() returns the verification mode currently set in ctx.

SSL_get_verify_mode() returns the verification mode currently set in ssl.

SSL_CTX_get_verify_depth() returns the verification depth limit currently set in ctx. If no limit has been explicitly set, -1 is returned and the default value will be used.

SSL_get_verify_depth() returns the verification depth limit currently set in ssl. If no limit has been explicitly set, -1 is returned and the default value will be used.

SSL_CTX_get_verify_callback() returns a function pointer to the verification callback currently set in ctx. If no callback was explicitly set, the NULL pointer is returned and the default callback will be used.

SSL_get_verify_callback() returns a function pointer to the verification callback currently set in ssl. If no callback was explicitly set, the NULL pointer is returned and the default callback will be used.

# RETURN VALUES

See DESCRIPTION

# SEE ALSO

ssl(7), SSL_CTX_set_verify(3)

# COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.